%define	major 13
%define libname %mklibname archive %{major}
%define develname %mklibname archive -d

Summary:	Library for reading and writing streaming archives
Name:		libarchive
Version:	3.2.0
Release:	%mkrel 1
License:	BSD
Group:		System/Libraries
URL:		http://www.libarchive.org/
Source0:	http://www.libarchive.org/downloads/%{name}-%{version}.tar.xz
Patch0:		libarchive-2.6.1-headers.patch
#----------------------------------------
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: bison
BuildRequires: sharutils
BuildRequires: %{_lib}acl-devel
BuildRequires: %{_lib}attr1-devel
BuildRequires: %{_lib}bzip2-devel
BuildRequires: %{_lib}ext2fs-devel
BuildRequires: %{_lib}lzma-devel
BuildRequires: %{_lib}lzo-devel
BuildRequires: %{_lib}mono-devel
BuildRequires: %{_lib}nettle-devel
BuildRequires: %{_lib}openssl-devel
BuildRequires: %{_lib}xml2-devel
#----------------------------------------

%description
Libarchive is a programming library that can create and read several different
streaming archive formats, including most popular tar variants and several cpio
formats. It can also write shar archives and read ISO9660 CDROM images and ZIP
archives. The bsdtar program is an implementation of tar(1) that is built on
top of libarchive. It started as a test harness, but has grown and is now the
standard system tar for FreeBSD 5 and 6.

%package -n	%{libname}
Summary:	Library for reading and writing streaming archives
Group:          System/Libraries

%description -n	%{libname}
Libarchive is a programming library that can create and read several different
streaming archive formats, including most popular tar variants and several cpio
formats. It can also write shar archives and read ISO9660 CDROM images and ZIP
archives. The bsdtar program is an implementation of tar(1) that is built on
top of libarchive. It started as a test harness, but has grown and is now the
standard system tar for FreeBSD 5 and 6.

%package -n	%{develname}
Summary:	Static library and header files for the libarchive library
Group:		Development/Libraries
Requires:	%{libname} = %{version}
Provides:	%{libname}-devel = %{version}
Obsoletes:	%{libname}-devel
Obsoletes:	%{mklibname archive 1}-devel
Provides:	%{name}-devel = %{version}

%description -n	%{develname}
Libarchive is a programming library that can create and read several different
streaming archive formats, including most popular tar variants and several cpio
formats. It can also write shar archives and read ISO9660 CDROM images and ZIP
archives. The bsdtar program is an implementation of tar(1) that is built on
top of libarchive. It started as a test harness, but has grown and is now the
standard system tar for FreeBSD 5 and 6.

This package contains header files for the libarchive library.

%package -n	bsdtar
Summary:	Full-featured tar replacement built on libarchive
Group:		Archiving/Backup

%description -n	bsdtar
The bsdtar program is a full-featured tar replacement built on libarchive.

%package -n	bsdcpio
Summary:	Copy files to and from archives
Group:		Archiving/Backup

%description -n	bsdcpio
bsdcpio copies files between archives and directories. This implementation can
extract from tar, pax, cpio, zip, jar, ar, and ISO 9660 cdrom images and can
create tar, pax, cpio, ar, and shar archives.


%package -n     bsdcat
Summary:        Expand files to standard output
Group:	        Archiving/Backup

%description -n bsdcat
The bsdcat program typically takes a filename as an argument or reads standard
input when used in a pipe.  In both cases decompressed data it written to
standard output.


%prep
%setup -q
%patch0 -p0 -b .headers

%build
autoreconf -fis

%configure2_5x --disable-static \
    --enable-bsdtar=shared \
    --enable-bsdcpio=shared

%make

%install
rm -rf %{buildroot}
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la


%files -n bsdtar
%defattr(-,root,root)
%attr(0755,root,root) %{_bindir}/bsdtar
%attr(0644,root,root) %{_mandir}/man1/bsdtar.1*

%files -n bsdcpio
%defattr(-,root,root)
%attr(0755,root,root) %{_bindir}/bsdcpio
%attr(0644,root,root) %{_mandir}/man1/bsdcpio.1*

%files -n bsdcat
%attr(0755,root,root) %{_bindir}/bsdcat
%attr(0644,root,root) %{_mandir}/*/bsdcat*

%files -n %{libname}
%defattr(-,root,root)
%attr(0755,root,root) %{_libdir}/lib*.so.%{major}*

%files -n %{develname}
%defattr(-,root,root)
%attr(0755,root,root) %{_libdir}/*so
%attr(0644,root,root) %{_libdir}/pkgconfig/libarchive.pc
%attr(0644,root,root) %{_includedir}/*.h
%attr(0644,root,root) %{_mandir}/man3/*
%attr(0644,root,root) %{_mandir}/man5/*

%clean
rm -rf %{buildroot}

%changelog
* Wed May 11 2016 bb <bb> 3.2.0-1pclos2016
- update

* Sat Apr 30 2016 bb <bb> 3.1.2-3pclos2016
- rebuild for new libnettle

* Sat Apr 23 2016 bb <bb> 3.1.2-2pclos2016
- bug fix update

* Wed May 27 2014 bb <bb> 3.1.2-1pclos2014
- update
